package com.awspaas.user.apps.bnbm.datalinkup.enums;

/**
 * @ClassName: Section
 * @Description: 防水涂料应收单枚举
 * @date: 2025/8/30 8:48
 * @Blog: https://
 */
public enum Section {

    // 防水板块配置
    WATERPROOF("防水", "北新防水",
            "BO_EU_XS_YSL_BXFS",
            "BO_EU_SALESDATA_SKD",
            "BO_EU_FS_SALESDATA_SKD",
            "BO_EU_SALESDATA_SKTKD"),
    // 涂料板块配置
    PAINT("涂料", "北新涂料",
            "BO_EU_XS_YSL_BXTL",
            "BO_EU_TL_SALESDATA_SKD",
            "BO_EU_SALESDATA_SKD_TL",
            "BO_EU_TL_SALESDATA_SKTKD");

    private final String name;
    private final String bkgs;
    private final String targetTable;
    private final String ysdTable;
    private final String skdTable;
    private final String sktkdTable;

    Section(String name, String bkgs, String targetTable, String ysdTable, String skdTable, String sktkdTable) {
        this.name = name;
        this.bkgs = bkgs;
        this.targetTable = targetTable;
        this.ysdTable = ysdTable;
        this.skdTable = skdTable;
        this.sktkdTable = sktkdTable;
    }

    public String getName() { return name; }
    public String getBkgs() { return bkgs; }
    public String getTargetTable() { return targetTable; }
    public String getYsdTable() { return ysdTable; }
    public String getSkdTable() { return skdTable; }
    public String getSktkdTable() { return sktkdTable; }
}
